/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : ft_basictbl.pc
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2012.10.10
 *   수 정 일 :
 *   설    명 : 기초상태테이블의 파일/테이블간 변환처리
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "wrk_stat.h"
#include "pl_tcrd_info.h"
#include "chg_struc.h"
#include "file_nm.h"
#include "file_no.h"
#include "dir_path.h"
#include "ora_sql.h"
#include "ipc_def.h"
#include "file_lb.h"
#include "tcs_db_def.h"

static    struct    write_info         wi;
static    struct    pl_tcrd_info         pl_tcrd_info_f;

int main(int argc, char *argv[])
{
    int     isfd, isrc, isfd2, isrc2;
    char    path[128], spath[128];
    char    temp[3+1];
    int options;
    char kmij[9];

    memset(&pl_tcrd_info_f, 0, sizeof(struct pl_tcrd_info));

    sprintf(path, "%s/%s/PLTCRDINFO", DIR_TCS, DIR_BASEINFO);
    sprintf(spath, "%s/%s/PLTCRDINFO_S", DIR_TCS, DIR_BASEINFO);

    isfd = open(path, FINPUT+FC_MANULOCK);
    if(isfd < 0)
    {
		printf("open error\n");
    }

	printf("PLTCRDINFO\n");
    while(1)
    {

        isrc = read(isfd, &pl_tcrd_info_f, sizeof(struct pl_tcrd_info));
		if(isrc < 1) break;

    	printf("BLOCK No : [%s]\n", pl_tcrd_info_f.block_st_no);
    	printf("BLOCK Cnt : %d\n", pl_tcrd_info_f.block_cnt);

    }
    lb_close(isfd);

    isfd2 = open(spath, FINPUT+FC_MANULOCK);
    if(isfd2 < 0)
    {
		printf("open error\n");
    }

	printf("PLTCRDINFO_S\n");
    while(1)
    {

        isrc2 = read(isfd2, &pl_tcrd_info_f, sizeof(struct pl_tcrd_info));
		if(isrc2 < 1) break;

    	printf("BLOCK No : [%s]\n", pl_tcrd_info_f.block_st_no);
    	printf("BLOCK Cnt : %d\n", pl_tcrd_info_f.block_cnt);

    }
    lb_close(isfd2);
}
